import { LarkServer } from "./larkServer"

export namespace MsgProxy {
  export interface BaseBody {
    msg_type: LarkServer.MsgType
    content: string
    api_key: string
  }
  export interface GroupBody extends BaseBody {
    group_id: string
  }
  export interface NormalBody extends BaseBody {
    receive_id: string
    receive_id_type: LarkServer.ReceiveIDType
  }
  export type Body = GroupBody & NormalBody
}
